function love.load()
	-- create table to hold images
	image = {}
	
	-- create four images
	image.r = love.graphics.newImage('rsquare.png')
	image.g = love.graphics.newImage('gsquare.png')
	image.b = love.graphics.newImage('bsquare.png')
	image.y = love.graphics.newImage('ysquare.png')
	
	-- create a table to hold clickable images (I call them buttons)
	button = {}
	
	-- create a button for each image
	button.r = {
		img = image.r,
		x = 100,
		y = 100,
		w = image.r:getWidth(),
		h = image.r:getHeight(),
		clicked = false,
	}
	
	button.g = {
		img = image.g,
		x = 300,
		y = 100,
		w = image.g:getWidth(),
		h = image.g:getHeight(),
		clicked = false,
	}
	
	button.b = {
		img = image.b,
		x = 100,
		y = 300,
		w = image.b:getWidth(),
		h = image.b:getHeight(),
		clicked = false,
	}
	
	button.y = {
		img = image.y,
		x = 300,
		y = 300,
		w = image.y:getWidth(),
		h = image.y:getHeight(),
		clicked = false,
	}
	
	
end

function love.update()
end

function love.draw()
	-- draw the buttons
	for k,v in pairs(button) do
		love.graphics.draw(v.img, v.x, v.y, 0, 1, 1, v.w/2, v.h/2)
		love.graphics.print(tostring(v.clicked), v.x, v.y)
	end
end

function love.mousepressed(x, y, click)
	-- if we left click
	if click == 'l' then
		-- check each button's coordinates against the mouse's coordinates
		for k,v in pairs(button) do
			if x > v.x - v.w/2 and x < v.x + v.w/2 and y > v.y - v.w/2 and y < v.y + v.h/2 then
				-- alternate the clicked variable of the button
				v.clicked = not v.clicked
			end
		end
	end
end